class AddExploitableRightsToMusicRelease < ActiveRecord::Migration[6.0]
  def change
    add_reference :music_releases, :applicable_medium, foreign_key: true
    add_column :music_releases, :applicable_medium_text, :string
    add_reference :music_releases, :territory, foreign_key: true
    add_column :music_releases, :territory_text, :string
    add_reference :music_releases, :term, foreign_key: true
    add_column :music_releases, :term_text, :string
    add_reference :music_releases, :restriction, foreign_key: true
    add_column :music_releases, :restriction_text, :string
  end
end
